/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Hito4;

import Vistas.jfrmLogin;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 *
 * @author Ro
 */
public class Main {
    private static Sucursal carga_datos(){
        Sucursal S=new Sucursal();
        ArrayList<Empleado> E=new ArrayList<Empleado>();
        ArrayList<Caja> C=new ArrayList<Caja>();
        //Identificamos caja1 como la Caja Fuerte Central
        Empleado e1=new Empleado();
        e1.setUsuario("Director");
        e1.setContraseña("1234");
        e1.setPermiso(1);
        e1.setNumCaja(1);

        Caja caja1=new Caja();

        caja1.setIdentificador(1);
        caja1.setUsuario("Director");
        caja1.setSaldoInicial(100);/*borrar----------------*/

        e1.setCaja(caja1);
        E.add(e1);
        C.add(caja1);

        Empleado e2=new Empleado();
        Caja caja2=new Caja();
        caja2.setIdentificador(2);
        caja2.setUsuario("Rocio");
        caja2.setSaldoFinal(100);/*borrar----------------*/
        e2.setUsuario("Rocio");
        e2.setContraseña("1234");
        e2.setPermiso(0);
        e2.setNumCaja(2);
        e2.setCaja(caja2);

        E.add(e2);
        C.add(caja2);

        S.setEmpleado(E);
        S.setCaja(C);
        return S;
}
    public static void main(String args[]){
        Sucursal suc=new Sucursal();
        suc=carga_datos();                      //Carga datos empleados y caja
        ControladorBD cbd=new ControladorBD();
        cbd.setUpDB();                          //carga clientes y productos
        
        List<Cliente> C =cbd.getData();
        suc.setMCliente(C);

        List<Producto> P =cbd.getData2();
        suc.setProducto(P);



        new jfrmLogin(suc).setVisible(true);
        cbd.persist(suc.getMCliente());
    }
}
